#
# spec file for package lpe
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lpe
Version:        1.2.8
Release:        7.3
Summary:        Programming text editor
License:        GPL-2.0-only
Group:          Productivity/Editors/Other
URL:            https://github.com/AdamMajer/lpe
Source:         https://github.com/AdamMajer/lpe/archive/v%version.tar.gz
Patch0:         drop_gettext_version.patch
Patch2:         multiple_definitions.patch
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  slang-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LPE is meant as an acronym for "lightweight programmer's editor".
It recognizes a few programming languages for syntax highlighting.
The function keys are reminiscient of pico's choices.

%prep
%autosetup -p1

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" \
   docdir="%{_defaultdocdir}/%{name}/" \
   exdir="%{_defaultdocdir}/%{name}/" \
   install
rm %{buildroot}%{_libdir}/lpe/*.la
%find_lang %{name} --with-man

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/lpe
%dir %{_libdir}/lpe/
%{_libdir}/lpe/*mode.so
%dir %{_datadir}/lpe
%{_datadir}/lpe/conv.sl
%{_datadir}/lpe/conv.slc
%{_datadir}/lpe/init.sl
%{_datadir}/lpe/init.slc
%{_mandir}/man1/lpe.1*
%dir %{_mandir}/bg/
%dir %{_mandir}/bg/man1

%changelog
* Fri Mar  1 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Thu Feb  4 2021 Adam Majer <adam.majer@suse.de>
- multiple_definitions.patch: fix build with GCC10
* Fri Jun  9 2017 jengelh@inai.de
- Rework description.
- Use original tarfiles from github rather than Debian.
* Mon May 29 2017 dimstar@opensuse.org
- Change RPM group to Productivity/Editors/Other: put the editor
  next to all the others (bsc#1086063)
* Sun Jan 31 2016 adamm@zombino.com
- New upstream version 1.2.8
- Drop upstreamed patches:
  + buffer_overflow.patch
  + po_makefile.patch
  + makefile.patch
  + lpe-1.2.7_install_manpages.patch
- Drop gettext version requirements
  + drop_gettext_version.patch
- Do not use parallel install since we don't install many files
  anyway
- Whitespace fixes in .spec file - use tabs only not spaces, per
  rpmlint
* Fri May 15 2015 adamm@zombino.com
- Add lpe to Application/Editors group
* Fri May 15 2015 adamm@zombino.com
- Improve localization in the package by using %%find_lang instead of
  manually handling all languages.
* Fri May 15 2015 adamm@zombino.com
- po_makefile.patch - allow installations relative to DESTDIR
* Thu May 14 2015 adamm@zombino.com
- Initial import
  + buffer_overflow.patch - fix overflow in command line parsing
